/*
 * SampleBeanFactory.java
 *
 * Created on 22 giugno 2003, 23.57
 */

package it.businesslogic.ireport.examples;
import net.sf.jasperreports.engine.*;
import net.sf.jasperreports.engine.data.*;
import it.businesslogic.ireport.examples.beans.*;
import it.businesslogic.ireport.connection.JRExtendedBeanDataSource;
import java.util.*;

/**
 *
 * @author  Administrator
 */
public class ExtendedBeanDataSourceFactory {
    
    // This is the method to call to get the datasource.
    // The method must be static.....    
    public  JRDataSource createDatasource()
    {
        Vector v = new Vector();
        
        PersonBean person = new PersonBean();
        person.setFirstName("Giulio");
        person.setLastName("Toffoli");
        AddressBean address = new AddressBean();
        address.setStreet("Via Buonarroti, 20");
        address.setCountry("Italy");
        person.setAddress( address );
        
        v.add(person);
                
        person = new PersonBean();
        person.setFirstName("Teodor");
        person.setLastName("Danciu");
        
        v.add(person);
        
        person = new PersonBean();
        person.setFirstName("Mario");
        person.setLastName("Rossi");
        
        v.add(person);
        
        person = new PersonBean();
        person.setFirstName("Jennifer");
        person.setLastName("Lopez");
        
        v.add(person);
        
        return new JRExtendedBeanDataSource( v );
    }    
}
